MKFS.FAT(8)

NAZWA
mkfs.fat - pod kontrolą Linuksa tworzy system plików MS-DOS

SKŁADNIA
mkfs.fat [-a] [-A] [-b sector-of-backup] [-c] [-l filename] [-C] [-f number-of-FATs] [-F FAT-size] [-h number-of-hidden-sectors] [-i volume-id] [-I] [-m message-file] [-n volume-name] [-r root-dir-entries] [-R number-of-reserved-sectors] [-s sectors-per-cluster] [-S logical-sector-size] [-D drive-number] [-M FAT-media-type] [-v] device [block-count]

OPIS
mkfs.fat służy do tworzenia pod kontrolą Linuksa systemu plików MS-DOS na zadanym urządzeniu (zwykle partycji dysku). device jest plikiem specjalnym odpowiadającym danemu urządzeniu (np. /dev/sdXX). block-count jest liczbą bloków na tym urządzeniu. Jeśli jej nie podano, to mkfs.fat automatycznie określi rozmiar systemu plików.

OPCJE

-a  Zwyczajowo mkfs.fat dla wszystkich systemów plików z wyjątkiem tych małych wyrówna wszystkie struktury danych do rozmiaru klastra, aby mieć pewność, że jeśli patrycja jest poprawnie wyrównana, to tak samo wyrównane będą wszystkie struktury danych systemu plików. Ta opcja wyłącza wyrównywanie i może dostarczyć dodatkowych klastrów do przechowywania danych, jednakże będzie to okupione znaczącym spadkiem wydajności w przypadku dysków RAID, dysków flash lub dysków twardych o dużych sektorach.

-A  Używa wariantu Atari systemu plików MS-DOS. Jest to opcja domyślna, gdy mkfs.fat jest uruchamiany na Atari - w takim przypadku opcja ta wyłącza format Atari. Różnice pomiędzy formatem Atari a zwykłym: Jeśli użytkownik nie zażądał inaczej mkfs.fat użyje 2 sektorów na klaster, ponieważ GEMDOS nie lub innych wartości. Będzie także przestrzegał maksymalnej liczby sektorów, którą może obsłużyć GEMDOS. Większe systemy plików są tworzone przez zwiększanie logicznego rozmiaru sektora. Format Atari generuje zgodny z Atari numer seryjny systemu plików i 12-bitowy FAT jest używany tylko do systemu plików, które mają jeden ze zwyczajowych rozmiarów dyskietek (720k, 1.2M, 1.44M, 2.88M); w przeciwnym wypadku używany jest FAT 16-bitowy. Można to nadpisać opcją -F. Niektóre specyficzne dla PC pola boot sektorów nie są zapisywana, a komunikat startowy (opcja -m) jest ignorowany.

-b sector-of-backup
    Wybiera lokalizację kopii boot sektora FAT32. Wartość domyślna zależy od liczby zarezerwowanych sektorów, ale zwyczajowo jest to sektor 6. Sektor kopii musi zawierać się w zakresie zarezerwowanych sektorów.

-c  Sprawdza obecność błędnych bloków na urządzeniu przed tworzeniem systemu plików.

-C  Tworzy plik podany w linii poleceń jako device i zapisuje w nim system plików do utworzenia. Można tego użyć do utworzenia nowego systemu plików w pliku zamiast w rzeczywistym urządzeniu i do uniknięcia używania polecenia dd do utworzenia pliku o wymaganym rozmiarze. Opcja ta wymaga podania parametru block-count, ponieważ w przeciwnym wypadku nie byłby znany rozmiar tworzonego systemu plików. Plik jest tworzony jako plik z dziurami (sparse file) zawierający tylko metadane (boot sektor, tablice FAT i katalog główny). Porcje danych nie są zapisywane na dysk, ale mimo to plik będzie miał poprawny rozmiar. Plik wynikowy może być potem skopiowany na dyskietkę lub inne urządzenie albo zamontowany poprzez urządzenie loop.

-D drive-number
    Określa numer urządzenia BIOS do zapisania w sektorze ładowania FAT. Wartością zazwyczaj jest 0x80 dla dysków twardych i 0x00 dla dyskietek lub partycji używanych do emulowania dyskietek.

-f number-of-FATs
    Określa liczbę tablic alokacji plików (FAT) w systemie plików. Domyślnie 2. Obecnie linuksowy system plików MS-DOS nie obsługuje więcej niż dwu tablic FAT.

-F FAT-size
    Określa typ używanej tablicy alokacji plików (12-, 16- lub 32-bitowa). Jeśli nie podano tej opcji, to mkfs.fat automatycznie wybiera najlepszy rozmiar FAT dla danego systemu plików.

-h number-of-hidden-sectors
    Ustawia liczbę ukrytych sektorów w wolumenie. Niektóre cyfrowe aparaty fotograficzne dostają niestrawności, jeśli włoży się do nich kartę CF niezawierającą takich ukrytych sektorów. Ta opcja pozwala je usatysfakcjonować.

-i volume-id
    Ustawia identyfikator wolumenu nowo utworzonego systemu plików; volume-id jest 32-bitową liczbą szesnastkową (na przykład, 2e24ec82). Domyślnie jest to liczba zależna od czasu utworzenia systemu plików.

-I  Zazwyczaj dyski twarde są partycjonowane, więc domyślnie nie można tworzyć systemu plików na całym urządzeniu. mkfs.fat w takim przypadku wypisze ostrzeżenie i odmówi współpracy. W przypadku dysków MO jest inaczej - nie zawsze są one partycjonowane, a system plików może pokrywać cały dysk. Inne systemy operacyjne nazywają to formatem "superdyskietki". Opcja ta pozwoli programowi mkfs.fat działać na takich dyskach.

-l filename
    Odczytuje listę błędnych bloków z pliku o nazwie filename.

-m message-file
    Ustawia komunikat, jaki otrzymuje użytkownik podczas próby startu (boot) tego systemu plików bez poprawnie zainstalowanego systemu operacyjnego. Komunikat nie może przekraczać 418 bajtów po konwersji znaków końca linii na kombinacje powrót karetki+koniec linii i rozwinięciu znaków tabulacji. Jeżeli nazwą pliku jest myślnik ("-"), to tekst jest pobierany ze standardowego wejścia.

-M FAT-media-type
    Określa typ mediów do zapisania w sektorze ładowania FAT. Wartością zazwyczaj jest 0xF8 dla dysków twardych i wartość z przedziału od 0xF9 do 0xFF dla dyskietek lub partycji używanych do emulowania dyskietek.

-n volume-name
    Ustawia nazwę wolumenu (etykietę - label) systemu plików. Nazwa wolumenu może mieć długość do 11 znaków. Domyślnie nazwa nie jest nadawana.

-r root-dir-entries
    Określa liczbę pozycji dostępnych w głównym katalogu. Domyślnie jest to 112 lub 224 dla dyskietek oraz 512 dla dysków twardych.

-R number-of-reserved-sectors
    Ustawia liczbę zarezerwowanych sektorów. Format FAT32 wymaga co najmniej 2 zarezerwowanych sektorów, domyślną wartością jest 32. W przypadku innych systemów wartością domyślną jest 1 (tylko sektor ładowania).

-s sectors-per-cluster
    Określa liczbę sektorów dysku przypadających na jeden klaster. Musi być potęgą 2, tj. 1, 2, 4, 8, ... 128.

-S logical-sector-size
    Określa liczbę sektorów dysku przypadających na jeden klaster. Musi być potęgą 2 większą lub równą 512, tj. 512, 1024, 2048, 4096, 8192, 16384 lub 32768.

-v  Wykonywanie gadatliwe.

BŁĘDY
mkfs.fat nie potrafi utworzyć bootowalnych systemów plików. Z różnych powodów utworzenie takiego systemu plików nie jest takie proste jak mogłoby się wydawać i mkfs.fat nie będzie tego wspierał ;)

ZOBACZ TAKŻE
fatlabel(8)
fsck.fat(8)

STRONA INTERNETOWA
Więcej informacji na temat fsck.fat i dosfstools można znaleźć na stronie <http://daniel-baumann.ch/software/dosfstools/>.

AUTORZY
Narzędzia dosfstools zostały napisane przez Wernera Almesbergera <werner.almesberger@lrc.di.epfl.ch>, Romana Hodka <Roman.Hodek@informatik.uni-erlangen.de> i innych. Obecnie opiekuje się nimi Daniel Baumann <mail@daniel-baumann.ch>.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 3.0.26 oryginału.